C Adds values and prints out the sum.

      PROGRAM BILL
      SUM = 0.
      PRINT *, 'Enter values, end with 0'
   10 READ (UNIT=*, FMT=*, IOSTAT=NERR) V
      IF (NERR .LT. 0) THEN
         PRINT *, 'EOF'
         STOP
      ELSE IF (NERR .GT. 0) THEN
         PRINT *, 'Invalid input'
         GO TO 10
      END IF
      IF (V .EQ. 0.) GO TO 20
      SUM = SUM + V
      GO TO 10
   20 PRINT '(A, F10.2)', 'The sum is ', SUM 
      STOP
      END
.
